#
# spec file for package python3-pyfeyn
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pyfeyn
Version:        1.0.0
Release:        2.2
Summary:        An easy-to-use Python library to help physicists draw Feynman diagrams
License:        GPL-2.0+
Group:          Development/Languages/Python
Url:            http://projects.hepforge.org/pyfeyn/
Source:         https://pypi.python.org/packages/source/p/pyfeyn/pyfeyn-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-pyx
Requires:       python3-pyx
Recommends:     texlive-hepnames
BuildArch:      noarch

%description
PyFeyn is a package which makes drawing Feynman diagrams simple and programmatic.
Feynman diagrams are important constructs in perturbative field theory, so being able to draw them
in a programmatic fashion is important if attempting to enumerate a large number of diagram
configurations is important. The output quality of PyFeyn diagrams (into PDF or EPS formats)
is very high, and special effects can be obtained by using constructs from PyX, which PyFeyn
is based around.

%prep
%setup -q -n pyfeyn-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/mkfeyndiag
%{python3_sitelib}/*

%changelog
* Fri Jun  3 2016 badshah400@gmail.com
- Initial version.
